bm::sv_serialization_plan_builder< SV >::serialization_params Struct Reference

`#include <bmsparsevec_parallel.h>`

Collaboration diagram for bm::sv_serialization_plan_builder< SV >::serialization_params:
[legend]

## Public Member Functions

| serialization_params ()

## Data Fields

bool | sb_bookmarks_
| Bookmarks flag.
unsigned | sb_range_
| Desired bookmarks interval.
unsigned | compression_level_
const bv_ref_vector_type * | bv_ref_ptr_
const xor_sim_model_type * | sim_model_ptr_

## Detailed Description

template<typename SV>
struct bm::sv_serialization_plan_builder< SV >::serialization_params

Definition at line 173 of file bmsparsevec_parallel.h.

## Constructor & Destructor Documentation

## serialization_params()

template<typename SV>

bm::sv_serialization_plan_builder< SV >::serialization_params::serialization_params | ( |  | ) |

inline

Definition at line 175 of file bmsparsevec_parallel.h.

References bv_ref_ptr_, compression_level_, sb_bookmarks_, sb_range_, bm::set_compression_default, and sim_model_ptr_.

## Field Documentation

## bv_ref_ptr_

template<typename SV>

const bv_ref_vector_type* bm::sv_serialization_plan_builder< SV >::serialization_params::bv_ref_ptr_

Definition at line 186 of file bmsparsevec_parallel.h.

Referenced by serialization_params().

## compression_level_

template<typename SV>

unsigned bm::sv_serialization_plan_builder< SV >::serialization_params::compression_level_

Definition at line 184 of file bmsparsevec_parallel.h.

Referenced by serialization_params().

## sb_bookmarks_

template<typename SV>

bool bm::sv_serialization_plan_builder< SV >::serialization_params::sb_bookmarks_

Bookmarks flag.

Definition at line 182 of file bmsparsevec_parallel.h.

Referenced by serialization_params().

## sb_range_

template<typename SV>

unsigned bm::sv_serialization_plan_builder< SV >::serialization_params::sb_range_

Desired bookmarks interval.

Definition at line 183 of file bmsparsevec_parallel.h.

Referenced by serialization_params().

## sim_model_ptr_

template<typename SV>

const xor_sim_model_type* bm::sv_serialization_plan_builder< SV >::serialization_params::sim_model_ptr_

Definition at line 187 of file bmsparsevec_parallel.h.

Referenced by bm::sv_serialization_plan_builder< SV >::build_plan(), and serialization_params().

The documentation for this struct was generated from the following file:

- bmsparsevec_parallel.h